SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "6.0.41-bs"
SRC_URI = "http://should-already-be-in-dl-dir/linux-3.8-6.0.41-bs.tar.gz file://${BASE_MACHINE}.config file://sha256sign.py"
SRC_URI[md5sum] = "acd5baeea466ac899616f88b4fb95cd5"
SRC_URI[sha256sum] = "7a383c7c46b6bf8632477f42cc0c1ba9ac56e0a9b568358cbc62a4fc29a2085e"
COMPATIBLE_MACHINE = "tiger(-td)?"
PN = "linux-bcm7425"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGETYPE_arm = "zImage"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_mipsel = "${KERNEL_IMAGETYPE}"

inherit kernel
PKG_kernel-image = "kernel-image"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${BASE_MACHINE}.config" "${S}/.config"
}
