SUMMARY = "Qt5 simple browser"
LICENSE = "CC-BY-3.0"
LIC_FILES_CHKSUM = "file://main.cpp;md5=6033b96f1e14a3272bfc9053b106fd8e"
SRC_URI[md5sum] = "fbe38a4c35e1c4cd9c5a9075a6e93dda"
SRC_URI[sha256sum] = "65cbc419ef42de203fc92a3ba85517171eb6969abd3b8e8ecb7101db0fd9ba97"

DEPENDS = "qtwebengine"

RDEPENDS_${PN} = "qtbase-plugins \
                  qtbase-fonts \
                  qtwebengine-plugins "

# Depends on gles2 enabled and that's not default configuration
EXCLUDE_FROM_WORLD = "1"

SRC_URI = "http://caner-desktop/sw/bsbrowser-2.0.tar.gz"

inherit qmake5

do_install() {
    install -d ${D}${datadir}/${P}
    install -m 0755 ${B}/bsbrowser1 ${D}${datadir}/${P}  
}

FILES_${PN}-dbg += "${datadir}/${P}/.debug"
FILES_${PN} += "${datadir}"

