# brightsign-fwup-image
#
# Image configuration for BrightSign based on Nexus
#

# This really means "don't install any static entries in /dev".
USE_DEVFS = "1"

# Install basic files only
IMAGE_INSTALL = "base-files \
		 busybox \
		 mtd-utils \
		 mtd-utils-ubifs \
		 brightsign-apps-watch-fwup \
                 brightsign-apps-has-feature \
                 brightsign-apps-is-board \
                 brightsign-apps-rescue-upgrade-required \
		 brightsign-fwup-scripts \
		 "

IMAGE_LINGUAS = ""
IMAGE_FEATURES = ""
IMAGE_FSTYPES = "cpio.gz"

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COREBASE}/LICENSE;md5=4d92cd373abda3937c2bc47fbc49d690 \
                    file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"

inherit image

addtask rootfs before do_populate_staging after do_install
